#include "welcomepanel.h"
#include <wx/textfile.h>

WelcomePanel::WelcomePanel(wxWindow* parent):PagePanel(parent,_T("Bienvenue"))
{
    wxBoxSizer* basesizer=new wxBoxSizer(wxVERTICAL);
    wxStaticBoxSizer* sizer1=new wxStaticBoxSizer(wxVERTICAL,this,_T("Bienvenue ! "));
        wxTextCtrl* txt1=new wxTextCtrl(this,-1,_T(""),wxDefaultPosition,wxDefaultSize,wxTE_MULTILINE|wxTE_READONLY|wxHSCROLL);
        sizer1->Add(txt1,1,wxALL|wxEXPAND,5);
    wxStaticBoxSizer* sizer2=new wxStaticBoxSizer(wxVERTICAL,this,_T("Mode d'emploi :"));
        wxTextCtrl* txt2=new wxTextCtrl(this,-1,_T(""),wxDefaultPosition,wxDefaultSize,wxTE_MULTILINE|wxTE_READONLY|wxHSCROLL);
        sizer2->Add(txt2,1,wxALL|wxEXPAND,5);

    basesizer->Add(sizer1,1,wxALL|wxEXPAND,5);
    basesizer->Add(sizer2,1,wxLEFT|wxRIGHT|wxBOTTOM|wxEXPAND,5);
    SetSizer(basesizer);
#ifdef wxUSE_UNICODE
    txt1->LoadFile(_T("WelcomeU.txt"));
    txt2->LoadFile(_T("NoticeU.txt"));
#else
    txt1->LoadFile(_T("Welcome.txt"));
    txt2->LoadFile(_T("Notice.txt"));
#endif
}

WelcomePanel::~WelcomePanel()
{
    //dtor
}

