#ifndef MAINFRAME_H_INCLUDED
#define MAINFRAME_H_INCLUDED

#include <wx/wxprec.h>
#ifndef WX_PRECOMP
    #include <wx/wx.h>
#endif
#include <wx/notebook.h>

class PagePanel;
class WelcomePanel;
class SearchPanel;
class PlayerPanel;

class MainFrame : public wxFrame
{
public:
    MainFrame();
    virtual ~MainFrame();
protected:
private:
    wxPanel* mainpanel;
    wxNotebook* nbook;
    WelcomePanel* welcome;
    SearchPanel* search;
    PlayerPanel* player;
    void OnNotebookPageChanged(wxNotebookEvent& event);
    void OnLoadFinished(wxCommandEvent& event);
    DECLARE_EVENT_TABLE();
};

#endif // MAINFRAME_H_INCLUDED
